ChartConfig(3pm)

NAME
Lire::Report::ChartConfig - Chart configuration object.

SYNOPSIS
    use Lire::Report::ChartConfig;

    my $chart = new Lire::Report::ChartConfig();
    $chart->title( 'Downloads by Visits Scatterplot' )
    $chart->type( Lire::PluginManager->get_plugin( 'chart_type', 'scatterplot' );
    ...

DESCRIPTION
This is a Lire::Config::Dictionary subclass which is used to define a chart that will be generated from a Lire::Report::Subreport.

CONSTRUCTOR

  new()
Creates a new Lire::Report::ChartConfig object.

ATTRIBUTES
These are methods that wraps around the Lire::Config::Dictionary get() and set() method.

  basename( [ $new_basename ] )
Returns (and optionnally changes) the Chart's basename.

  title( [ $new_title ] )
Returns (and optionnally changes) the Chart's title.

  type( [ $new_type ] )
Returns (and optionally changes) the ChartType plugin used by this Config.

  type_properties()
Returns the Lire::Config::Value object used to store the ChartType's specific properties.

  case_var()
Returns the Lire::Report::ColumnInfo object that is use to select the cases that will be part of the chart's data.

  xlabel( [ $new_xlabel ] )
Returns (and optionnally change) the Chart's X axis label..

  ylabel( [ $new_ylabel ] )
Returns (and optionnally change) the Chart's Y axis label..

SEE ALSO
  Lire::Config::ChartSpec(3pm) Lire::ChartType(3pm)

VERSION
$Id: ChartConfig.pm,v 1.7 2006/07/23 13:16:31 vanbaal Exp $

COPYRIGHT
Copyright (C) 2004 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.

AUTHOR
Francis J. Lacoste <flacoste@logreport.org>